Package org.wso2.carbon.mediation.initializer.persistence.registry

# Class AbstractRegistryStore

java.lang.Object
org.wso2.carbon.mediation.initializer.persistence.registry.AbstractRegistryStore

Direct Known Subclasses:
  `APIRegistryStore`, `EndpointRegistryStore`, `EventSourceRegistryStore`, `ExecutorRegistryStore`, `ImportRegistryStore`, `LocalEntryRegistryStore`, `MessageProcessorRegistryStore`, `MessageStoreRegistryStore`, `ProxyServiceRegistryStore`, `SequenceRegistryStore`, `StartupRegistryStore`, `SynapseRegistriesRegistryStore`, `TemplateRegistryStore`

public abstract class AbstractRegistryStore extends Object

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected String`
  `configName`
  `protected org.apache.commons.logging.Log`
  `log`
  `protected org.wso2.carbon.registry.core.session.UserRegistry`
  `registry`

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  `protected`
  `AbstractRegistryStore(org.wso2.carbon.registry.core.session.UserRegistry registry, String configName)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected void`
  `createCollection(String path)`
  `abstract void`
  `deleteElement(String name)`
  `protected Collection<org.apache.axiom.om.OMElement>`
  `getChildElementsInPath(String path)`
  `protected abstract String`
  `getConfigurationPath()`
  `protected String`
  `getConfigurationRoot()`
  `abstract org.apache.axiom.om.OMElement`
  `getElement(String name)`
  `abstract Collection<org.apache.axiom.om.OMElement>`
  `getElements()`
  `protected org.apache.axiom.om.OMElement`
  `getResourceAsElement(String resourcePath)`
  `protected void`
  `handleException(String message)`
  `protected void`
  `handleException(String message, Exception e)`
  `abstract void`
  `persistElement(String name, org.apache.axiom.om.OMElement element, String fileName)`
  `protected void`
  `persistElement(org.apache.axiom.om.OMElement element, String resourcePath, String fileName)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### log

    protected org.apache.commons.logging.Log log

  - ### registry

    protected org.wso2.carbon.registry.core.session.UserRegistry registry

  - ### configName

    protected String configName

- ## Constructor Details

  - ### AbstractRegistryStore

    protected AbstractRegistryStore(org.wso2.carbon.registry.core.session.UserRegistry registry, String configName)

- ## Method Details

  - ### getElements

    public abstract Collection<org.apache.axiom.om.OMElement> getElements()

  - ### getElement

    public abstract org.apache.axiom.om.OMElement getElement(String name)

  - ### persistElement

    public abstract void persistElement(String name, org.apache.axiom.om.OMElement element, String fileName)

  - ### deleteElement

    public abstract void deleteElement(String name)

  - ### createCollection

    protected void createCollection(String path)

  - ### persistElement

    protected void persistElement(org.apache.axiom.om.OMElement element, String resourcePath, String fileName) throws org.wso2.carbon.registry.core.exceptions.RegistryException
    Throws:
      `org.wso2.carbon.registry.core.exceptions.RegistryException`

  - ### handleException

    protected void handleException(String message, Exception e)

  - ### handleException

    protected void handleException(String message)

  - ### getChildElementsInPath

    protected Collection<org.apache.axiom.om.OMElement> getChildElementsInPath(String path) throws org.wso2.carbon.registry.core.exceptions.RegistryException
    Throws:
      `org.wso2.carbon.registry.core.exceptions.RegistryException`

  - ### getResourceAsElement

    protected org.apache.axiom.om.OMElement getResourceAsElement(String resourcePath) throws org.wso2.carbon.registry.core.exceptions.RegistryException
    Throws:
      `org.wso2.carbon.registry.core.exceptions.RegistryException`

  - ### getConfigurationRoot

    protected String getConfigurationRoot()

  - ### getConfigurationPath

    protected abstract String getConfigurationPath()